Skip to navigation

Get FileVersion by ID

Beta
Get a single FileVersion by ID.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

file_idstringRequired
ID of the File.
file_version_idstringRequired
ID of the FileVersion.

Headers

EARLY-ACCESSstringOptional

Set to true to access beta operations via /api/v3.

Response

OK
__typenamestringOptional
createdAtstringOptional
creatorobject or nullOptional
User who published the version.
fileobjectOptional
The File this version belongs to.
idstringOptional
parentVersionIdstring or nullOptional
ID of the version that was current when this version was published, or null for a File's first version.
scratchFileobject or nullOptional
The content of the version, or null when the version has no uploaded content.
versionNumberintegerOptional
Position of the version in the File's history, starting at 1.

Errors

400
File Versions Get Request Bad Request Error
403
File Versions Get Request Forbidden Error
404
File Versions Get Request Not Found Error
429
File Versions Get Request Too Many Requests Error
500
File Versions Get Request Internal Server Error